www.cendio.com
Bug 7024 - Can't use dead keys with US International keymap when connecting to RDP servers
: Can't use dead keys with US International keymap when connecting to RDP servers
Status: CLOSED FIXED
: ThinLinc
rdesktop
: trunk
: PC Unknown
: P2 Normal
: 4.9.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2017-08-02 16:46 by
Modified: 2017-12-29 16:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2017-08-02 16:46:47
People trying to use US International keymaps aren't able to enter characters
by combining dead keys such as î or õ unless this is working. 

The keymap for this to work exists but is not included in the build. :(

This is issue #122 upstream and it was fixed by us back in July. The changes
just haven't trickled down to ThinLinc yet.
------- Comment #2 From cendio 2017-12-12 18:25:47 -------
This was included in one of the recent vendor drops of rdesktop and should be
fixed now.
------- Comment #3 From cendio 2017-12-19 16:24:16 -------
Verified using ThinLinc 4.8.0post build 5646, works as expected. Can
specify and produce combinations of dead keys and i for example.